config() {
  NEW="$1"
  OLD="$(dirname $NEW)/$(basename $NEW .new)"
  # If there's no config file by that name, mv it over:
  if [ ! -r $OLD ]; then
    mv $NEW $OLD
  elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then # toss the redundant copy
    rm $NEW
  fi
  # Otherwise, we leave the .new copy for the admin to consider...
}
config etc/rc.d/rc.modules-4.4.21-rpi1.new

# A good idea whenever kernel modules are added or changed:
if [ -x sbin/depmod ]; then
  chroot . /sbin/depmod -a 4.4.21-rpi1 1> /dev/null 2> /dev/null
fi

( cd lib/modules/4.4.21-rpi1 ; rm -rf source )
( cd lib/modules/4.4.21-rpi1 ; ln -sf /usr/src/linux-4.4.21 source )
( cd lib/modules/4.4.21-rpi1 ; rm -rf build )
( cd lib/modules/4.4.21-rpi1 ; ln -sf /usr/src/linux-4.4.21 build )
